<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Internationalization</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Internationalization<br/>
<small>
[<a class="el" href="group__public_config.html">Configuration</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga5984586a097c0e917dd20363600b110c">PHPCAS_LANG_ENGLISH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga2625c23a266bd8018ac7ed2dd8bc592c">PHPCAS_LANG_FRENCH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga2ddaa47b527b9c822787762ae7b8728b">PHPCAS_LANG_GREEK</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga085ffcd2c3dbdeb25d603581c042302f">PHPCAS_LANG_GERMAN</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga5f7de216237ed042d381ee6ec78872fe">PHPCAS_LANG_JAPANESE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga1c9367d17d67e279dd9d0fcfc6b121c4">PHPCAS_LANG_SPANISH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga06f9fdc1bf4d3f97e8e13baa9fb79876">PHPCAS_LANG_CATALAN</a> </td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga1bcf4b4f6cb5d5a969c0ebd47c0aa108">phpCAS::setLang</a> ($lang)</td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga06f9fdc1bf4d3f97e8e13baa9fb79876"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_CATALAN" ref="ga06f9fdc1bf4d3f97e8e13baa9fb79876" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga06f9fdc1bf4d3f97e8e13baa9fb79876">PHPCAS_LANG_CATALAN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga5984586a097c0e917dd20363600b110c"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_ENGLISH" ref="ga5984586a097c0e917dd20363600b110c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga5984586a097c0e917dd20363600b110c">PHPCAS_LANG_ENGLISH</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga2625c23a266bd8018ac7ed2dd8bc592c"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_FRENCH" ref="ga2625c23a266bd8018ac7ed2dd8bc592c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga2625c23a266bd8018ac7ed2dd8bc592c">PHPCAS_LANG_FRENCH</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga085ffcd2c3dbdeb25d603581c042302f"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_GERMAN" ref="ga085ffcd2c3dbdeb25d603581c042302f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga085ffcd2c3dbdeb25d603581c042302f">PHPCAS_LANG_GERMAN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga2ddaa47b527b9c822787762ae7b8728b"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_GREEK" ref="ga2ddaa47b527b9c822787762ae7b8728b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga2ddaa47b527b9c822787762ae7b8728b">PHPCAS_LANG_GREEK</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga5f7de216237ed042d381ee6ec78872fe"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_JAPANESE" ref="ga5f7de216237ed042d381ee6ec78872fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga5f7de216237ed042d381ee6ec78872fe">PHPCAS_LANG_JAPANESE</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga1c9367d17d67e279dd9d0fcfc6b121c4"></a><!-- doxytag: member="CAS.php::PHPCAS_LANG_SPANISH" ref="ga1c9367d17d67e279dd9d0fcfc6b121c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__public_lang.html#ga1c9367d17d67e279dd9d0fcfc6b121c4">PHPCAS_LANG_SPANISH</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga1bcf4b4f6cb5d5a969c0ebd47c0aa108"></a><!-- doxytag: member="phpCAS::setLang" ref="ga1bcf4b4f6cb5d5a969c0ebd47c0aa108" args="($lang)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::setLang </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>lang</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method is used to set the language used by <a class="el" href="classphp_c_a_s.html">phpCAS</a>. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Can be called only once.</dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$lang</em>&nbsp;</td><td>a string representing the language.</td></tr>
  </table>
  </dd>
</dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__public_lang.html#ga2625c23a266bd8018ac7ed2dd8bc592c">PHPCAS_LANG_FRENCH</a>, <a class="el" href="group__public_lang.html#ga5984586a097c0e917dd20363600b110c">PHPCAS_LANG_ENGLISH</a> </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
